System Requirements - PDF Annotator Manual

System Requirements

Minimum Requirements

PDF Annotator requires Windows 10, Windows 8.1, Windows 8, Windows 7, Windows Vista or Windows XP SP3.

Also supported

External graphic tablets are also supported as long as they are compatible with Windows.